
package com.ejie.ab63.clientesWS.ab61WebService;

import javax.xml.ws.WebFault;

/**
 * This class was  
 * source version: 2.1
 * 
 */
@WebFault(name = "Ab61Exception", targetNamespace = "http://ab61.exe.webservice/")
public class Ab61Exception extends Exception {

	/**
	 * Java type that goes as soapenv:Fault detail element.
	 * 
	 */
	private Ab61ExceptionGeneral faultInfo;

	/**
	 * 
	 * @param message
	 * @param faultInfo
	 */
	public Ab61Exception(String message, Ab61ExceptionGeneral faultInfo) {
		super(message);
		this.faultInfo = faultInfo;
	}

	/**
	 * 
	 * @param message
	 * @param faultInfo
	 * @param cause
	 */
	public Ab61Exception(String message, Ab61ExceptionGeneral faultInfo, Throwable cause) {
		super(message, cause);
		this.faultInfo = faultInfo;
	}

	/**
	 * 
	 * @return returns fault bean:
	 *         com.ejie.ab63.clientesWS.ab61WebService.Ab61ExceptionGeneral
	 */
	public Ab61ExceptionGeneral getFaultInfo() {
		return faultInfo;
	}

}
